
Infrastructure - Story #912

Fix known TODOs in the metacat code base

2010-10-06 16:38 - Chad Berkley

Status: Closed Start date: 2010-10-07

Priority: High Due date:  

Assignee: Chad Berkley % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: Sprint-2010.46   

Story Points:    

Description

These are tasks that were identified in the metacat code review in August.  Most are small tasks that can be fixed in <15 minutes.

Subtasks:

Task # 738: Make sure Metacat rest service is returning correct HTTP codes Closed

Task # 864: Metacat not downloading urls listed in xml_catalog table Closed

Task # 728: Milliseconds needs to be added on to the date format used by Metacat CrudSe... Closed

Task # 726: Many Crud exceptions do not use the correct error code Closed

Task # 729: Hard coded queries should be moved to .properties files Closed

Task # 737: Reimplement Mime Multipart for Metacat rest interface Closed

Task # 749: Add complete javadocs to D1Client Closed

Task # 750: Constants in D1Client should be moved to service-api for portability Closed

Task # 751: remove empty constructor in D1Client Closed

Task # 753: Add sanity checks to listObjects Closed

Task # 754: Refactor if/then statement blocks Closed

Task # 755: D1Client.createMimeMultipart is memory bound Closed

Task # 756: D1Client.update and D1Client.insert are similar Closed

Task # 757: Several input streams are created but not used Closed

Task # 1031: a /meta call on private data returns a service failure, instead of file-no... Closed

History

#1 - 2010-10-06 16:44 - Chad Berkley

- Position set to 1

- Position deleted (1)

#2 - 2010-10-06 16:55 - Chad Berkley

- Subject changed from As a developer I want to fix known TODOs in the metacat code base to Fix known TODOs in the metacat code base

#3 - 2010-10-07 16:42 - Matthew Jones

- Position deleted (11)

- Position set to 3

#4 - 2010-10-07 16:42 - Matthew Jones

- Position set to 2

- Position deleted (3)

#5 - 2010-10-07 16:43 - Dave Vieglais

- Target version set to Sprint-2010.41

- Position set to 1

- Position deleted (2)
#6 - 2010-10-11 16:45 - Matthew Jones

- Position set to 4

- Position deleted (24)

#7 - 2010-10-15 16:34 - Chad Berkley

- Status changed from New to In Progress

- Assignee set to Chad Berkley

#8 - 2010-10-22 16:30 - Chad Berkley

- Target version changed from Sprint-2010.41 to Sprint-2010.42

- Position deleted (4)

- Position set to 11

#9 - 2010-10-22 16:47 - Chad Berkley

- Position set to 52

- Target version changed from Sprint-2010.42 to Sprint-2010.43

- Position deleted (16)

#10 - 2010-10-29 16:57 - Chad Berkley

- Target version changed from Sprint-2010.43 to Sprint-2010.44

- Position deleted (51)

- Position set to 5

#11 - 2010-11-08 17:29 - Chad Berkley

- Position set to 1

- Position deleted (11)

- Target version changed from Sprint-2010.44 to Sprint-2010.45

#12 - 2010-11-10 00:38 - Matthew Jones

- Position set to 1

- Position deleted (19)

- Target version changed from Sprint-2010.45 to Sprint-2010.44

#13 - 2010-11-10 00:38 - Matthew Jones

- Target version changed from Sprint-2010.44 to Sprint-2010.45

- Position deleted (1)

- Position set to 1

#14 - 2010-11-15 17:11 - Dave Vieglais

- Target version changed from Sprint-2010.45 to Sprint-2010.46

- Position deleted (11)

- Position set to 2

#15 - 2010-11-15 20:09 - Chad Berkley

- Status changed from In Progress to Closed

All tasks finished.

#16 - 2010-11-16 17:45 - Rob Nahf
- Position set to 29

- Position deleted (4)
